MetacatUI - Task #6694
Story # 6716 (Resolved): Production-ready DataONE theme

UX evaluation
03/24/2015 07:19 AM - Rachel Volentine

Status: Resolved Start date: 03/24/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.7.0 Spent time: 0.00 hour
Description

¢ There are no links or breadcrumbs on the site. When the user opens the metadata, for instance, there is no way to get back to
the search results except to use the browser’s back arrow. Additionally, sometimes the back arrow takes the users to a new
search page rather than their search results.

e |t is not clear what the icons do. Recommend that you provide a hover-over that says what the icon does (e.g., abstract,
metadata).

¢ The balloon icon and folder icon seem to take the user to the same place. The balloon icon is associated with geography/maps
but it takes the user to a metadata page.

e |t is unclear why certain datasets have the balloon icon highlighted.

e The spatial search (with the boxes on the map) did not always work correctly. For instance, | selected a square that said “2”
and | got 25 results.

¢ Once you selected a spatial square and cleared the results you no longer had the option of selecting a different spatial square.

¢ Many users will not be familiar with filtering by data attribute or by Taxon. Recommend providing information on how to use
those filters, either as a “?” icon or hover-over. Additionally, what does the grid icon represent next to data attribute? That may
not be the best icon.

¢ The black bar on the bottom of the page is vague. What is its purpose? The DataONE logo would be better placed at the top
of the page.

¢ The top menu is misleading. “About” takes the user to credits. The DataONE logo takes the user to a new search page. Data
--> Search also takes the user to a new search page, and Data --> Summary takes the user to what is traditionally information
found on the “about” page. Recommend changing “about” to “credits”, Data --> Summary to “about”, and Data --> Search to
“home” or “new search”, and get rid of “DataONE” as a link to a new search page, and instead use the DataONE logo as a link
to the website (what is currently the black bar).

¢ |f the browser window is small the information gets hard to read. Recommend decreasing the size of font and size of the items
in the search page as the window decreases. For example, if someone is using the search on a small laptop they may only be
able to see 1-2 search results per page.

Related issues:

Related to MetacatUI - Feature #6696: Clicking on the icons in the result row... Resolved 03/24/2015
Related to MetacatU| - Feature #6697: Add tooltip for each filter type Resolved 03/24/2015
Related to MetacatUI - Story #6160: Make MetacatUl mobile-friendly Resolved

Related to MetacatUl - Bug #6695: Back button is not displaying Resolved 03/24/2015
Related to MetacatU| - Feature #6698: Look at sorting by relevancy features i... New 03/24/2015
History

#1 - 03/24/2015 09:19 AM - Lauren Walker

- Tracker changed from Feature to Support

Thanks Rachel, these are some good comments. The MetacatUl installed on https://altsearch.dataone.org is the old 1.6 version of the DataONE
theme and has been replaced by the newer design, available at https://search.test.dataone.org. Some of the comments above have been fixed in the
newer version. It would be great to see your feedback on the newer design.
I'll make some separate tickets for the feedback here that can be acted on.

#2 - 03/24/2015 09:48 AM - Lauren Walker
- Status changed from New to In Progress

- Target version setto 1.7.0

e There are no links or breadcrumbs on the site. When the user opens the metadata, for instance, there is no way to get back to the search results
except to use the browser’s back arrow. Additionally, sometimes the back arrow takes the users to a new search page rather than their search
results.

This is a feature we have implemented but it seems to not be displaying sometimes. See #6695
e |t is not clear what the icons do. Recommend that you provide a hover-over that says what the icon does (e.g., abstract, metadata).

This has already been fixed in the new design

e The balloon icon and folder icon seem to take the user to the same place. The balloon icon is associated with geography/maps but it takes the
user to a metadata page.

Clicking anywhere in the result row will direct the user to the Metadata View. | can see why someone would click on the icon and not expect to be
directed to the Metadata just yet. See #6696

e |t is unclear why certain datasets have the balloon icon highlighted.
| hope this has been cleared up in the newer design that has a tooltip explaining the map marker icon.
¢ The spatial search (with the boxes on the map) did not always work correctly. For instance, | selected a square that said "2" and | got 25 results.

It would be nice to see an example of when this happened to you. | have tried to recreate it in the newer 1.7 version on search.test.dataone.org but
haven't been able to.

¢ Once you selected a spatial square and cleared the results you no longer had the option of selecting a different spatial square.

| will take a look at it and see if | can recreate this bug. It may have since been fixed since there have been a lot of map bug fixes in the past couple
months.

e Many users will not be familiar with filtering by data attribute or by Taxon. Recommend providing information on how to use those filters, either as
a "?" icon or hover-over. Additionally, what does the grid icon represent next to data attribute? That may not be the best icon.

Can you explain why users will not be familiar with these two filters, especially Taxon? | think adding a tooltip for each filter would help, though. See
#6697.

e The black bar on the bottom of the page is vague. What is its purpose? The DataONE logo would be better placed at the top of the page.
The footer has been replaced by the Dataone.org footer in the 1.7 version.

¢ The top menu is misleading. “About” takes the user to credits. The DataONE logo takes the user to a new search page. Data search also takes
the user to a new search page, and Data Summary takes the user to what is traditionally information found on the “about” page. Recommend
changing “about” to “credits”, data summary to “about”, and data search to “home” or “new search”, and get rid of “DataONE” as a link to a new
search page, and instead use the DataONE logo as a link to the website (what is currently the black bar).

The navigation has changed in the 1.7 version. It would be good to hear if it makes sense now.

¢ If the browser window is small the information gets hard to read. Recommend decreasing the size of font and size of the items in the search
page as the window decreases. For example, if someone is using the search on a small laptop they may only be able to see 1-2 search results

per page.
| agree that responsive styling needs to improve, I've started to work on this in 1.7. See #6160

From the Word doc:

2. This bug has been fixed in the 1.6 and 1.7 versions

3. The design where the search results overlapping the map has been changed in 1.7
9. This bug has been fixed in 1.7

12. Solr has some features for sorting results by relevancy. | will look into it.

#3 - 04/09/2015 10:43 AM - Lauren Walker
- Assignee set to Lauren Walker

- Parent task set to #6716

#4 - 04/09/2015 10:54 AM - Chris Jones
- Description updated

#5 - 04/09/2015 11:03 AM - Chris Jones
- Description updated

#6 - 05/06/2015 03:51 PM - Lauren Walker
- File UA_SpringMeeting Report.docx added

Another UX evaluation done on the 1.7.0 DataONE theme - tickets created for each new issue. About half of these already have tickets/we are
already aware of.

#7 - 06/01/2015 09:28 AM - Lauren Walker
- Status changed from In Progress to Resolved

- translation missing: en.field_remaining_hours set to 0.0

#8 - 06/03/2015 10:08 AM - Lauren Walker
- Status changed from Resolved to In Progress

- Estimated time set to 0.00 h

#9 - 06/04/2015 10:41 AM - Lauren Walker

- Status changed from In Progress to Resolved

Mike Frame, Matt Jones, Rachael Volentine, and | met on June 3 and discussed a timeline for getting MetacatUl 1.7.0 ready by July 12 for DUG
testing. Further use testing will be in a seperate ticket

Files
ALT Search Review.docx 647 KB 03/24/2015 Rachel Volentine
UA_SpringMeeting_Report.docx 1.31 MB 05/06/2015 Lauren Walker
